## mpv 0.4.0

=== wscript ===
# vi: ft=python

import sys, os, re
sys.path.insert(0, os.path.join(os.getcwd(), 'waftools'))
sys.path.insert(0, os.getcwd())
from waflib.Configure import conf
from waflib import Utils
from waftools.checks.generic import *
from waftools.checks.custom import *

build_options = [
    {
        'name': '--libmpv-shared',
        'desc': 'shared library',
        'default': 'disable',
        'func': check_true
    }, {
        'name': '--libmpv-static',
        'desc': 'static library',
        'default': 'disable',
        'deps_neg': [ 'libmpv-shared' ],
        'func': check_true
    }, {
        'name': '--client-api-examples',
        'desc': 'build client API examples',
        'deps_any': [ 'libmpv-shared', 'libmpv-static' ],
        'func': check_true
    }, {
        'name': '--static-build',
        'desc': 'static build',
        'default': 'disable',
        'func': check_true
    }, {
        'name': '--build-date',
        'desc': 'whether to include binary compile time',
        'default': 'enable',
        'func': check_true
    }, {
        'name': '--debug-build',
        'desc': 'whether to compile-in debugging information',
        'default': 'enable',
        'func': check_true
    }, {
        'name': '--manpage-build',
        'desc': 'manpage generation',
        'func': check_ctx_vars('RST2MAN')
    }, {
        'name': '--pdf-build',
        'desc': 'pdf manual generation',
        'func': check_ctx_vars('RST2PDF'),
    }, {
        'name': 'libdl',
        'desc': 'dynamic loader',
        'func': check_libs(['dl'], check_statement('dlfcn.h', 'dlopen("", 0)'))
    }, {
        'name': 'dlopen',
        'desc': 'dlopen',
        'deps_any': [ 'libdl', 'os-win32', 'os-cygwin' ],
        'func': check_true
    }, {
        'name': '--vf-dlopen-filters',
        'desc': 'compilation of default filters for vf_dlopen',
        'deps': [ 'dlopen' ],
        'default': 'disable',
        'func': check_true
    }, {
        'name': '--zsh-comp',
        'desc': 'zsh completion',
        'func': check_true,
        'default': 'disable',
    }, {
        'name': '--macosx-bundle',
        'desc': 'compilation of a Mac OS X Application bundle',
        'deps': [ 'os-darwin' ],
        'default': 'disable',
        'func': check_true
    }, {
        'name': 'win32-executable',
        'desc': 'w32 executable',
        'deps_any': [ 'os-win32', 'os-cygwin'],
        'func': check_ctx_vars('WINDRES')
    }, {
        # does nothing - left for backward and forward compatibility
        'name': '--asm',
        'desc': 'inline assembly (currently without effect)',
        'default': 'enable',
        'func': check_true,
    }
]

main_dependencies = [
    {
        'name': 'noexecstack',
        'desc': 'compiler support for noexecstack',
        'func': check_cc(linkflags='-Wl,-z,noexecstack')
    }, {
        'name': 'noexecstack',
        'desc': 'linker support for --nxcompat --no-seh --dynamicbase',
        'func': check_cc(linkflags=['-Wl,--nxcompat', '-Wl,--no-seh', '-Wl,--dynamicbase'])
    } , {
        'name': 'libm',
        'desc': '-lm',
        'func': check_cc(lib='m')
    }, {
        'name': 'nanosleep',
        'desc': 'nanosleep',
        'func': check_statement('time.h', 'nanosleep(0,0)')
    }, {
        'name': 'sys-mman-h',
        'desc': 'mman.h',
        'func': check_statement('sys/mman.h', 'mmap(0, 0, 0, 0, 0, 0)')
    }, {
        'name': 'pthreads',
        'desc': 'POSIX threads',
        'func': check_pthreads,
        'req': True,
        'fmsg': 'Unable to find pthreads support.'
    }, {
        'name': 'stdatomic',
        'desc': 'stdatomic.h',
        'func': check_libs(['atomic'],
            check_statement('stdatomic.h',
                'atomic_int_least64_t test = ATOMIC_VAR_INIT(123);'
                'int test2 = atomic_load(&test)'))
    }, {
        'name': 'atomic-builtins',
        'desc': 'compiler support for __atomic built-ins',
        'func': check_libs(['atomic'],
            check_statement('stdint.h',
                'int64_t test = 0;'
                'test = __atomic_add_fetch(&test, 1, __ATOMIC_SEQ_CST)')),
        'deps_neg': [ 'stdatomic' ],
    }, {
        'name': 'sync-builtins',
        'desc': 'compiler support for __sync built-ins',
        'func': check_statement('stdint.h',
                    'int64_t test = 0;'
                    'test = __sync_add_and_fetch(&test, 1)'),
        'deps_neg': [ 'stdatomic', 'atomic-builtins' ],
    }, {
        'name': 'thread-synchronization-builtins',
        'desc': 'compiler support for usable thread synchronization built-ins',
        'func': check_true,
        'deps_any': ['stdatomic', 'atomic-builtins', 'sync-builtins'],
        'req': True,
        'fmsg': 'your compiler must support either __atomic or __sync built-ins',
    }, {
        'name': 'librt',
        'desc': 'linking with -lrt',
        'deps': [ 'pthreads' ],
        'func': check_cc(lib='rt')
    }, {
        'name': '--iconv',
        'desc': 'iconv',
        'func': check_iconv,
        'req': True,
        'fmsg': "Unable to find iconv which should be part of a standard \
compilation environment. Aborting. If you really mean to compile without \
iconv support use --disable-iconv.",
    }, {
        'name': 'dos-paths',
        'desc': 'w32/dos paths',
        'deps_any': [ 'os-win32', 'os-cygwin' ],
        'func': check_true
    }, {
        'name': 'priority',
        'desc': 'w32 priority API',
        'deps_any': [ 'os-win32', 'os-cygwin'],
        'func': check_true
    }, {
        'name': 'videoio',
        'desc': 'videoio.h',
        'func': check_headers('sys/videoio.h')
    }, {
        'name': '--terminfo',
        'desc': 'terminfo',
        'func': check_libs(['ncurses', 'ncursesw'],
            check_statement('term.h', 'setupterm(0, 1, 0)')),
    }, {
        'name': '--termcap',
        'desc': 'termcap',
        'deps_neg': ['terminfo'],
        'func': check_libs(['ncurses', 'tinfo', 'termcap'],
            check_statement('term.h', 'tgetent(0, 0)')),
    }, {
        'name': '--termios',
        'desc': 'termios',
        'func': check_headers('termios.h', 'sys/termios.h'),
    }, {
        'name': '--shm',
        'desc': 'shm',
        'func': check_statement(['sys/types.h', 'sys/ipc.h', 'sys/shm.h'],
            'shmget(0, 0, 0); shmat(0, 0, 0); shmctl(0, 0, 0)')
    }, {
        'name': 'posix-select',
        'desc': 'POSIX select()',
        'func': check_statement('sys/select.h', """
            int rc;
            rc = select(0, (fd_set *)(0), (fd_set *)(0), (fd_set *)(0),
                        (struct timeval *)(0))""")
    }, {
        'name': 'glob',
        'desc': 'glob()',
        'func': check_statement('glob.h', 'glob("filename", 0, 0, 0)')
    }, {
        'name': 'glob-win32-replacement',
        'desc': 'glob() win32 replacement',
        'deps_neg': [ 'glob' ],
        'deps_any': [ 'os-win32', 'os-cygwin' ],
        'func': check_true
    }, {
        'name': 'bsd-fstatfs',
        'desc': "BSD's fstatfs()",
        'func': check_statement(['sys/param.h', 'sys/mount.h'],
                                'struct statfs fs; fstatfs(0, &fs); fs.f_fstypename')
    }, {
        'name': 'linux-fstatfs',
        'desc': "Linux's fstatfs()",
        'deps': [ 'os-linux' ],
        'func': check_statement('sys/vfs.h',
                                'struct statfs fs; fstatfs(0, &fs); fs.f_namelen')
    }, {
        'name': '--libguess',
        'desc': 'libguess support',
        'func': check_pkg_config('libguess', '>= 1.0'),
    }, {
        'name': '--libsmbclient',
        'desc': 'Samba support',
        'deps': [ 'libdl' ],
        'func': check_pkg_config('smbclient'),
        'module': 'input',
    }, {
        'name': '--libquvi4',
        'desc': 'libquvi 0.4.x support',
        'groups': [ 'libquvi' ],
        'func': check_pkg_config('libquvi', '>= 0.4.1'),
    }, {
        'name': '--libquvi9',
        'desc': 'libquvi 0.9.x support',
        'groups': [ 'libquvi' ],
        'deps_neg': [ 'libquvi4' ],
        'func': check_pkg_config('libquvi-0.9', '>= 0.9.0'),
    }, {
        'name': '--libquvi',
        'desc': 'libquvi support',
        'deps_any': [ 'libquvi4', 'libquvi9' ],
        'func': check_true
    }, {
        'name': '--libass',
        'desc': 'SSA/ASS support',
        'func': check_pkg_config('libass'),
        'req': True,
        'fmsg': "Unable to find development files for libass. Aborting. \
If you really mean to compile without libass support use --disable-libass."
    }, {
        'name': '--libass-osd',
        'desc': 'libass OSD support',
        'deps': [ 'libass' ],
        'func': check_true,
    }, {
        'name': 'dummy-osd',
        'desc': 'dummy OSD support',
        'deps_neg': [ 'libass-osd' ],
        'func': check_true,
    } , {
        'name': 'zlib',
        'desc': 'zlib',
        'func': check_libs(['z'],
                    check_statement('zlib.h', 'inflate(0, Z_NO_FLUSH)')),
        'req': True,
        'fmsg': 'Unable to find development files for zlib.'
    } , {
        'name' : '--encoding',
        'desc' : 'Encoding',
        'func': check_true,
    }, {
        'name' : '--joystick',
        'desc' : 'joystick',
        'func': check_cc(header_name='linux/joystick.h'),
        'default': 'disable'
    }, {
        'name' : '--lirc',
        'desc' : 'lirc',
        'func': check_cc(header_name='lirc/lirc_client.h', lib='lirc_client'),
    }, {
        'name': '--libbluray',
        'desc': 'Bluray support',
        'func': check_pkg_config('libbluray', '>= 0.3.0'),
    }, {
        'name': '--dvdread',
        'desc': 'dvdread support',
        'func': check_pkg_config('dvdread', '>= 4.1.0'),
    }, {
        'name': '--dvdnav',
        'desc': 'dvdnav support',
        'deps': [ 'dvdread' ],
        'func': check_pkg_config('dvdnav', '>= 4.2.0'),
    }, {
        'name': '--cdda',
        'desc': 'cdda support (libcdio)',
        'func': check_pkg_config('libcdio_paranoia'),
        'default': 'disable',
    }, {
        'name': '--enca',
        'desc': 'ENCA support',
        'func': check_statement('enca.h', 'enca_get_languages(NULL)', lib='enca'),
    }, {
        'name': '--mpg123',
        'desc': 'mpg123 support',
        'func': check_pkg_config('libmpg123', '>= 1.14.0'),
    }, {
        'name': '--ladspa',
        'desc': 'LADSPA plugin support',
        'func': check_statement('ladspa.h', 'LADSPA_Descriptor ld = {0}'),
    }, {
        'name': '--libbs2b',
        'desc': 'libbs2b audio filter support',
        'func': check_pkg_config('libbs2b'),
    }, {
        'name': '--lcms2',
        'desc': 'LCMS2 support',
        'func': check_pkg_config('lcms2', '>= 2.6'),
    }, {
        'name': '--vapoursynth',
        'desc': 'VapourSynth filter bridge',
        'func': check_pkg_config('vapoursynth >= 23 vapoursynth-script >= 23'),
    }
]

libav_pkg_config_checks = [
    'libavutil',   '>= 52.48.101',
    'libavcodec',  '>= 55.34.1',
    'libavformat', '>= 55.12.0',
    'libswscale',  '>= 2.1.2'
]

libav_dependencies = [
    {
        'name': 'libav',
        'desc': 'libav/ffmpeg',
        'func': check_pkg_config(*libav_pkg_config_checks),
        'req': True,
        'fmsg': "Unable to find development files for some of the required \
Libav libraries ({0}). Aborting.".format(" ".join(libav_pkg_config_checks))
    }, {
        'name': '--libavresample',
        'desc': 'libavresample',
        'func': check_pkg_config('libavresample',  '>= 1.1.0'),
    }, {
        'name': '--libswresample',
        'desc': 'libswresample',
        'func': check_pkg_config('libswresample', '>= 0.17.104'),
        'deps_neg': ['libavresample'],
    }, {
        'name': 'resampler',
        'desc': 'usable resampler found',
        'deps_any': [ 'libavresample', 'libswresample' ],
        'func': check_true,
        'req':  True,

=== debian/changelog ===
mpv (0.4.0-1tanglu2) staging; urgency=high

  * No-change rebuild against libav 11

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 07 Sep 2014 08:59:59 +0000

mpv (0.4.0-1tanglu1) staging; urgency=medium

  * Merge from Debian, remaining changes:
    - Add libharfbuzz-dev to Build-Depends
    - Add libsmbclient-dev to Build-Depends
    - Add --enable-libass to debian/rules

 -- Jackson Doak <noskcaj@ubuntu.com>  Wed, 09 Jul 2014 09:44:55 +1000

mpv (0.4.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh 01_desktop-path.patch
  * Refresh 02_fix-config-path.patch
  * Enable shared libmpv client library
  * Make mpv Multi-Arch: foreign
  * Add mpv-dbg package as well
  * Disable libpostproc support (ffmpeg's libpostproc is needed)
  * Install Lua scripting examples
  * Disable cdda support
  * Bump lcms2 versioned Build-Depends
  * Build and install zsh completion script
  * Install upstream release notes as changelog (Closes: #722997)

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 25 Jun 2014 21:10:18 +0200

mpv (0.3.11-1tanglu2) staging; urgency=medium

  * No-change rebuild against libav10 

 -- Philip MuÅ¡kovac <yofel@kubuntu.org>  Thu, 26 Jun 2014 12:07:03 +0200

mpv (0.3.11-1tanglu1) staging; urgency=medium

  * Merge from Debian, remaining changes:
    - Add libharfbuzz-dev to Build-Depends
    - Add libsmbclient-dev to Build-Depends
    - Add --enable-libass to debian/rules

 -- Jon Severinsson <jon@severinsson.net>  Sun, 22 Jun 2014 10:00:00 +0200

mpv (0.3.11-1) unstable; urgency=medium

  * New upstream release
  * Drop gcc-4.8 Build-Depends for sparc (Closes: #751321)

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 15 Jun 2014 14:35:14 +0200

mpv (0.3.10-2) unstable; urgency=medium

  * Switch to Lua 5.2

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 28 May 2014 21:45:06 +0200

mpv (0.3.10-1) unstable; urgency=medium

  * New upstream release
  * Enable support for libavdevice

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 25 May 2014 14:59:56 +0200

mpv (0.3.9-2) unstable; urgency=low

  [ Reinhard Tartler ]
  * Merge branch experimental

  [ Alessandro Ghedini ]
  * Remove forced gcc-4.8 build depends on powerpc
  * Rebuild against libav10

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 12 May 2014 12:06:15 +0200

mpv (0.3.9-1) unstable; urgency=medium

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 30 Apr 2014 13:28:31 +0200

mpv (0.3.8-1) unstable; urgency=medium

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 18 Apr 2014 10:56:21 +0200

mpv (0.3.7-1tanglu1) staging; urgency=medium

  * Fix FTBFS:
    - Add libharfbuzz-dev to Build-Depends
    - Add --enable-libass to debian/rules
  * Enable samba support:
    - Add libsmbclient-dev to Build-Depends

 -- Alad Wenter <the.changing.side@gmail.com>  Wed, 16 Apr 2014 10:51:11 +0200

mpv (0.3.7-1) unstable; urgency=medium

  * New upstream release
  * Enable all hardening options.
    Thanks to Simon Ruderich for the patch (Closes: #741439)

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 30 Mar 2014 20:00:42 +0200

mpv (0.3.6-1) unstable; urgency=medium

  * New upstream release
  * Update 03_waf.patch to newer waf version

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 11 Mar 2014 16:00:20 +0100

mpv (0.3.5-1) unstable; urgency=medium

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 12 Feb 2014 22:56:33 +0100

mpv (0.3.3-1+exp1) experimental; urgency=low

  * Rebuild against libav10

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 17 Jan 2014 03:35:15 +0000

=== debian/control ===
Source: mpv
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessandro Ghedini <ghedo@debian.org>,
 Reinhard Tartler <siretart@tauware.de>
Build-Depends: debhelper (>= 9),
 ladspa-sdk,
 libasound2-dev [linux-any],
 libass-dev,
 libavcodec-dev (>= 6:10~),
 libavdevice-dev (>= 6:10~),
 libavfilter-dev (>= 6:10~),
 libavformat-dev (>= 6:10~),
 libavresample-dev (>= 6:10~),
 libavutil-dev (>= 6:10~),
 libbluray-dev,
 libbs2b-dev,
 libdvdnav-dev,
 libdvdread-dev,
 libegl1-mesa-dev [linux-any],
 libenca-dev,
 libgl1-mesa-dev,
 libguess-dev,
 libharfbuzz-dev,
 libjack-dev,
 libjpeg8-dev,
 liblcms2-dev (>= 2.6~),
 liblircclient-dev,
 liblua5.2-dev,
 libmpg123-dev,
 libncurses5-dev,
 libncursesw5-dev,
 libpulse-dev,
 libquvi-dev (>= 0.4.1-2.1),
 libsdl2-dev,
 libsmbclient-dev,
 libswscale-dev,
 libva-dev,
 libvdpau-dev,
 libwayland-dev [linux-any],
 libx11-dev,
 libxinerama-dev,
 libxkbcommon-dev [linux-any],
 libxss-dev,
 libxv-dev,
 pkg-config,
 python,
 python-docutils,
 yasm
Standards-Version: 3.9.5
Homepage: http://mpv.io/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mpv.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/mpv.git

Package: mpv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: video player based on MPlayer/mplayer2
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 Changes from mplayer2 to mpv include:
  * Removal of lots of unneeded code to encourage developer activity
  * Better OSD rendering
  * Cleaned up terminal output
  * Improved OpenGL output
  * Encoding functionality (replacement for mencoder)
  * Wayland support
  * Support for playing URLs of popular streaming sites
  * Screenshot improvements
  * ...
 See mpv(1) for more info regarding changes between MPlayer, mplayer2 and mpv.

Package: mpv-dbg
Priority: extra
Section: debug
Architecture: any
Depends: mpv (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: video player based on MPlayer/mplayer2 (debug)
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 This package provides debugging symbols for mpv.

Package: libmpv1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: video player based on MPlayer/mplayer2 (client library)
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 This package provides a client library that can be used to embed mpv in other
 applications.

Package: libmpv-dev
Section: libdevel
Architecture: any
Depends: libmpv1 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: video player based on MPlayer/mplayer2 (client library dev files)
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 This package provides development files for libmpv.

Package: libmpv-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libmpv1 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: video player based on MPlayer/mplayer2 (client library debug)
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 This package provides debugging symbols for libmpv.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS:=hardening=+all # #741439

%:
	dh $@

override_dh_auto_configure:
	python ./waf -v --nocache configure			\
			--prefix=/usr				\
			--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)	\
			--confdir=/etc/mpv			\
			--enable-sdl2				\
			--enable-zsh-comp			\
			--enable-libmpv-shared			\
			--enable-libass

override_dh_auto_build:
	python ./waf -v --nocache build

override_dh_auto_install:
	python ./waf -v --nocache install --destdir=debian/tmp

override_dh_install:
	dh_install --sourcedir=debian/tmp

override_dh_installchangelogs:
	dh_installchangelogs RELEASE_NOTES

override_dh_auto_clean:
	python ./waf -v --nocache distclean
	find . -name "*.pyc" -delete

override_dh_strip:
	dh_strip -pmpv --dbg-package=mpv-dbg
	dh_strip -plibmpv1 --dbg-package=libmpv-dbg

## mpv 0.4.2

=== wscript ===
--- 
+++ 
@@ -138,12 +138,10 @@
                     'test = __sync_add_and_fetch(&test, 1)'),
         'deps_neg': [ 'stdatomic', 'atomic-builtins' ],
     }, {
-        'name': 'thread-synchronization-builtins',
+        'name': 'atomics',
         'desc': 'compiler support for usable thread synchronization built-ins',
         'func': check_true,
         'deps_any': ['stdatomic', 'atomic-builtins', 'sync-builtins'],
-        'req': True,
-        'fmsg': 'your compiler must support either __atomic or __sync built-ins',
     }, {
         'name': 'librt',
         'desc': 'linking with -lrt',
@@ -357,3 +355,6 @@
         'deps_any': [ 'libavresample', 'libswresample' ],
         'func': check_true,
         'req':  True,
+        'fmsg': 'No resampler found. Install libavresample or libswresample (FFmpeg).'
+    }, {
+        'name': 'avcodec-chroma-pos-api',

=== debian/changelog ===
mpv (0.4.2-1ubuntu3) utopic; urgency=medium

  * Rebuild against final libav11 release (LP: #1376388).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 02 Oct 2014 03:55:43 +0100

mpv (0.4.2-1ubuntu2) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Sep 2014 01:31:39 +0100

mpv (0.4.2-1ubuntu1) utopic; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Build without Altivec on ppc64el for the moment, until we work out why
      that fails with strange errors on bool types.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Aug 2014 16:36:52 +0100

mpv (0.4.2-1) unstable; urgency=medium

  * New upstream release
    - Include point releases too in the release notes (Closes: #722997)

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 26 Jul 2014 12:29:29 +0200

mpv (0.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 11 Jul 2014 18:11:27 +0200

mpv (0.3.11-1ubuntu1) utopic; urgency=medium

  * Build without Altivec on ppc64el for the moment, until we work out why
    that fails with strange errors on bool types.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 25 Jun 2014 12:08:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mpv
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Alessandro Ghedini <ghedo@debian.org>,
  Reinhard Tartler <siretart@tauware.de>
 Build-Depends: debhelper (>= 9),
@@ -22,7 +23,6 @@
  libenca-dev,
  libgl1-mesa-dev,
  libguess-dev,
- libharfbuzz-dev,
  libjack-dev,
  libjpeg8-dev,
  liblcms2-dev (>= 2.6~),
@@ -34,7 +34,6 @@
  libpulse-dev,
  libquvi-dev (>= 0.4.1-2.1),
  libsdl2-dev,
- libsmbclient-dev,
  libswscale-dev,
  libva-dev,
  libvdpau-dev,

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,11 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS:=hardening=+all # #741439
+
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+ifeq ($(DEB_HOST_ARCH),ppc64el)
+export DEB_CFLAGS_MAINT_APPEND := -mno-altivec
+endif
 
 %:
 	dh $@
@@ -12,8 +17,7 @@
 			--confdir=/etc/mpv			\
 			--enable-sdl2				\
 			--enable-zsh-comp			\
-			--enable-libmpv-shared			\
-			--enable-libass
+			--enable-libmpv-shared
 
 override_dh_auto_build:
 	python ./waf -v --nocache build

## mpv 0.6.2

=== wscript ===
--- 
+++ 
@@ -36,6 +36,11 @@
         'default': 'enable',
         'func': check_true
     }, {
+        'name': '--optimize',
+        'desc': 'whether to optimize',
+        'default': 'enable',
+        'func': check_true
+    }, {
         'name': '--debug-build',
         'desc': 'whether to compile-in debugging information',
         'default': 'enable',
@@ -68,17 +73,6 @@
         'desc': 'zsh completion',
         'func': check_true,
         'default': 'disable',
-    }, {
-        'name': '--macosx-bundle',
-        'desc': 'compilation of a Mac OS X Application bundle',
-        'deps': [ 'os-darwin' ],
-        'default': 'disable',
-        'func': check_true
-    }, {
-        'name': 'win32-executable',
-        'desc': 'w32 executable',
-        'deps_any': [ 'os-win32', 'os-cygwin'],
-        'func': check_ctx_vars('WINDRES')
     }, {
         # does nothing - left for backward and forward compatibility
         'name': '--asm',
@@ -110,6 +104,11 @@
         'desc': 'mman.h',
         'func': check_statement('sys/mman.h', 'mmap(0, 0, 0, 0, 0, 0)')
     }, {
+        'name': 'mingw',
+        'desc': 'MinGW',
+        'deps': [ 'os-win32' ],
+        'func': check_statement('stddef.h', 'int x = __MINGW32__')
+    }, {
         'name': 'pthreads',
         'desc': 'POSIX threads',
         'func': check_pthreads,
@@ -166,18 +165,26 @@
         'deps_any': [ 'os-win32', 'os-cygwin'],
         'func': check_true
     }, {
+        'name': '--waio',
+        'desc': 'libwaio for win32',
+        'deps': [ 'os-win32', 'mingw' ],
+        'func': check_libs(['waio'],
+                    check_statement('waio/waio.h', 'waio_alloc(0, 0, 0, 0)')),
+    }, {
         'name': 'videoio',
         'desc': 'videoio.h',
         'func': check_headers('sys/videoio.h')
     }, {
         'name': '--terminfo',
         'desc': 'terminfo',
+        'default': 'disable',
         'func': check_libs(['ncurses', 'ncursesw'],
             check_statement('term.h', 'setupterm(0, 1, 0)')),
     }, {
         'name': '--termcap',
         'desc': 'termcap',
         'deps_neg': ['terminfo'],
+        'default': 'disable',
         'func': check_libs(['ncurses', 'tinfo', 'termcap'],
             check_statement('term.h', 'tgetent(0, 0)')),
     }, {
@@ -189,13 +196,6 @@
         'desc': 'shm',
         'func': check_statement(['sys/types.h', 'sys/ipc.h', 'sys/shm.h'],
             'shmget(0, 0, 0); shmat(0, 0, 0); shmctl(0, 0, 0)')
-    }, {
-        'name': 'posix-select',
-        'desc': 'POSIX select()',
-        'func': check_statement('sys/select.h', """
-            int rc;
-            rc = select(0, (fd_set *)(0), (fd_set *)(0), (fd_set *)(0),
-                        (struct timeval *)(0))""")
     }, {
         'name': 'glob',
         'desc': 'glob()',
@@ -358,3 +358,4 @@
         'fmsg': 'No resampler found. Install libavresample or libswresample (FFmpeg).'
     }, {
         'name': 'avcodec-chroma-pos-api',
+        'desc': 'libavcodec avcodec_enum_to_chroma_pos API',

=== debian/changelog ===
mpv (0.6.2-2) unstable; urgency=medium

  * Re-enable CDDA support via libcdio (Closes: #766725)

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 25 Oct 2014 15:16:57 +0200

mpv (0.6.2-1) unstable; urgency=medium

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 24 Oct 2014 21:16:49 +0200

mpv (0.6.1-1) unstable; urgency=medium

  * New upstream release
    - Fix the autodetection of the input format in the vf_stereo3d filter
      (Closes: #763904)
    - Don't create 0x0 windows on X11 (Closes: #764419)
  * Remove unused build deps
  * Enable support for xrandr
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * Don't install input configuration files as examples (they are now installed
    by the upstream build system as normal documentation)

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 12 Oct 2014 14:39:57 +0200

mpv (0.6.0-1) unstable; urgency=medium

  * New upstream release
    - Add video/ogg to the list of supported MIME types in the *.desktop file
      (Closes: #763173)
  * Switch to libjpeg-turbo (Closes: #763484)

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 30 Sep 2014 21:15:03 +0200

mpv (0.5.4-1) unstable; urgency=medium

  * New upstream release
    - Rebuild should fix warnings regarding libav libraries versions
      (Closes: #762229)

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 23 Sep 2014 21:37:19 +0200

mpv (0.5.3-1) unstable; urgency=medium

  * New upstream release
  * Fix wildcard-matches-nothing-in-dep5-copyright

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 10 Sep 2014 20:05:33 +0200

mpv (0.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 27 Aug 2014 11:05:35 +0200

mpv (0.5.0-1) unstable; urgency=medium

  * New upstream release
  * Update path of example Lua scripts
  * Refresh 02_fix-config-path.patch
  * Update *.symbols file

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 12 Aug 2014 11:52:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mpv
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Alessandro Ghedini <ghedo@debian.org>,
  Reinhard Tartler <siretart@tauware.de>
 Build-Depends: debhelper (>= 9),
@@ -17,6 +16,7 @@
  libavutil-dev (>= 6:10~),
  libbluray-dev,
  libbs2b-dev,
+ libcdio-paranoia-dev,
  libdvdnav-dev,
  libdvdread-dev,
  libegl1-mesa-dev [linux-any],
@@ -24,13 +24,11 @@
  libgl1-mesa-dev,
  libguess-dev,
  libjack-dev,
- libjpeg8-dev,
+ libjpeg-dev,
  liblcms2-dev (>= 2.6~),
  liblircclient-dev,
  liblua5.2-dev,
  libmpg123-dev,
- libncurses5-dev,
- libncursesw5-dev,
  libpulse-dev,
  libquvi-dev (>= 0.4.1-2.1),
  libsdl2-dev,
@@ -41,13 +39,13 @@
  libx11-dev,
  libxinerama-dev,
  libxkbcommon-dev [linux-any],
+ libxrandr-dev,
  libxss-dev,
  libxv-dev,
  pkg-config,
  python,
  python-docutils,
- yasm
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://mpv.io/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mpv.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/mpv.git

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,6 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS:=hardening=+all # #741439
-
-DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-ifeq ($(DEB_HOST_ARCH),ppc64el)
-export DEB_CFLAGS_MAINT_APPEND := -mno-altivec
-endif
 
 %:
 	dh $@
@@ -15,6 +10,7 @@
 			--prefix=/usr				\
 			--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)	\
 			--confdir=/etc/mpv			\
+			--enable-cdda				\
 			--enable-sdl2				\
 			--enable-zsh-comp			\
 			--enable-libmpv-shared

## mpv 0.7.1

=== debian/changelog ===
mpv (0.7.1-1ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian (LP: #1350370).  Remaining changes:
    - Build without Altivec on ppc64el for the moment, until we work out why
      that fails with strange errors on bool types.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 03 Dec 2014 17:08:32 +0000

mpv (0.7.1-1) unstable; urgency=medium

  * New upstream release
  * Update 03_waf.patch to waf 1.8.1
  * Refresh patches
  * Manually set zsh completion install path
  * Remove --nocache option from waf invocation
  * Update libmpv symbols file
  * Drop libquvi support, replaced by built-in Lua script based on youtube-dl
  * Add Recommends on youtube-dl

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 03 Dec 2014 10:43:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mpv
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Alessandro Ghedini <ghedo@debian.org>,
  Reinhard Tartler <siretart@tauware.de>
 Build-Depends: debhelper (>= 9),
@@ -30,7 +31,6 @@
  liblua5.2-dev,
  libmpg123-dev,
  libpulse-dev,
- libquvi-dev (>= 0.4.1-2.1),
  libsdl2-dev,
  libswscale-dev,
  libva-dev,
@@ -53,6 +53,7 @@
 Package: mpv
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: youtube-dl (>= 2014.11.09)
 Multi-Arch: foreign
 Description: video player based on MPlayer/mplayer2
  mpv is a movie player based on MPlayer and mplayer2. It supports a wide
@@ -86,6 +87,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: youtube-dl (>= 2014.11.09)
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: video player based on MPlayer/mplayer2 (client library)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS:=hardening=+all # #741439

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifeq ($(DEB_HOST_ARCH),ppc64el)
export DEB_CFLAGS_MAINT_APPEND := -mno-altivec
endif

%:
	dh $@

override_dh_auto_configure:
	python ./waf -v configure			\
			--prefix=/usr				\
			--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)	\
			--confdir=/etc/mpv			\
			--zshdir=/usr/share/zsh/vendor-completions \
			--enable-cdda				\
			--enable-sdl2				\
			--enable-zsh-comp			\
			--enable-libmpv-shared

override_dh_auto_build:
	python ./waf -v build

override_dh_auto_install:
	python ./waf -v install --destdir=debian/tmp

override_dh_install:
	dh_install --sourcedir=debian/tmp

override_dh_installchangelogs:
	dh_installchangelogs RELEASE_NOTES

override_dh_auto_clean:
	python ./waf -v distclean
	find . -name "*.pyc" -delete

override_dh_strip:
	dh_strip -pmpv --dbg-package=mpv-dbg
	dh_strip -plibmpv1 --dbg-package=libmpv-dbg

## mpv 0.7.2

=== wscript ===
--- 
+++ 
@@ -96,18 +96,25 @@
         'desc': '-lm',
         'func': check_cc(lib='m')
     }, {
-        'name': 'nanosleep',
-        'desc': 'nanosleep',
-        'func': check_statement('time.h', 'nanosleep(0,0)')
-    }, {
-        'name': 'sys-mman-h',
-        'desc': 'mman.h',
-        'func': check_statement('sys/mman.h', 'mmap(0, 0, 0, 0, 0, 0)')
-    }, {
         'name': 'mingw',
         'desc': 'MinGW',
         'deps': [ 'os-win32' ],
-        'func': check_statement('stddef.h', 'int x = __MINGW32__')
+        'func': check_statement('stddef.h', 'int x = __MINGW32__;'
+                                            'int y = __MINGW64_VERSION_MAJOR'),
+    }, {
+        'name': 'posix',
+        'desc': 'POSIX environment',
+        # This should be good enough.
+        'func': check_statement(['poll.h', 'unistd.h'],
+                    'struct pollfd pfd; poll(&pfd, 1, 0); fork(); int f[2]; pipe(f)'),
+    }, {
+        'name': 'posix-or-mingw',
+        'desc': 'programming environment',
+        'deps_any': [ 'posix', 'mingw' ],
+        'func': check_true,
+        'req': True,
+        'fmsg': 'Unable to find either POSIX or MinGW-w64 environment, ' \
+                'or compiler does not work.',
     }, {
         'name': 'pthreads',
         'desc': 'POSIX threads',
@@ -134,6 +141,7 @@
         'desc': 'compiler support for __sync built-ins',
         'func': check_statement('stdint.h',
                     'int64_t test = 0;'
+                    '__typeof__(test) x = ({int a = 1; a;});'
                     'test = __sync_add_and_fetch(&test, 1)'),
         'deps_neg': [ 'stdatomic', 'atomic-builtins' ],
     }, {
@@ -175,19 +183,6 @@
         'desc': 'videoio.h',
         'func': check_headers('sys/videoio.h')
     }, {
-        'name': '--terminfo',
-        'desc': 'terminfo',
-        'default': 'disable',
-        'func': check_libs(['ncurses', 'ncursesw'],
-            check_statement('term.h', 'setupterm(0, 1, 0)')),
-    }, {
-        'name': '--termcap',
-        'desc': 'termcap',
-        'deps_neg': ['terminfo'],
-        'default': 'disable',
-        'func': check_libs(['ncurses', 'tinfo', 'termcap'],
-            check_statement('term.h', 'tgetent(0, 0)')),
-    }, {
         'name': '--termios',
         'desc': 'termios',
         'func': check_headers('termios.h', 'sys/termios.h'),
@@ -197,6 +192,19 @@
         'func': check_statement(['sys/types.h', 'sys/ipc.h', 'sys/shm.h'],
             'shmget(0, 0, 0); shmat(0, 0, 0); shmctl(0, 0, 0)')
     }, {
+        'name': 'sys-mman-h',
+        'desc': 'mman.h',
+        'func': check_statement('sys/mman.h', 'mmap(0, 0, 0, 0, 0, 0)')
+    }, {
+        'name': 'nanosleep',
+        'desc': 'nanosleep',
+        'func': check_statement('time.h', 'nanosleep(0,0)')
+    }, {
+        'name': 'posix-spawn',
+        'desc': 'POSIX spawnp()/kill()',
+        'func': check_statement(['spawn.h', 'signal.h'],
+            'posix_spawnp(0,0,0,0,0,0); kill(0,0)')
+    }, {
         'name': 'glob',
         'desc': 'glob()',
         'func': check_statement('glob.h', 'glob("filename", 0, 0, 0)')
@@ -206,6 +214,32 @@
         'deps_neg': [ 'glob' ],
         'deps_any': [ 'os-win32', 'os-cygwin' ],
         'func': check_true
+    }, {
+        'name': 'glibc-thread-name',
+        'desc': 'GLIBC API for setting thread name',
+        'func': check_statement('pthread.h',
+                                'pthread_setname_np(pthread_self(), "ducks")',
+                                use=['pthreads']),
+    }, {
+        'name': 'osx-thread-name',
+        'desc': 'OSX API for setting thread name',
+        'deps_neg': [ 'glibc-thread-name' ],
+        'func': check_statement('pthread.h',
+                                'pthread_setname_np("ducks")', use=['pthreads']),
+    }, {
+        'name': 'bsd-thread-name',
+        'desc': 'BSD API for setting thread name',
+        'deps_neg': [ 'glibc-thread-name', 'osx-thread-name' ],
+        'func': check_statement(['pthread.h', 'pthread_np.h'],
+                                'pthread_set_name_np(pthread_self(), "ducks")',
+                                use=['pthreads']),
+    }, {
+        'name': 'netbsd-thread-name',
+        'desc': 'NetBSD API for setting thread name',
+        'deps_neg': [ 'glibc-thread-name', 'osx-thread-name', 'bsd-thread-name' ],
+        'func': check_statement('pthread.h',
+                                'pthread_setname_np(pthread_self(), "%s", (void *)"ducks")',
+                                use=['pthreads']),
     }, {
         'name': 'bsd-fstatfs',
         'desc': "BSD's fstatfs()",
@@ -228,21 +262,9 @@
         'func': check_pkg_config('smbclient'),
         'module': 'input',
     }, {
-        'name': '--libquvi4',
-        'desc': 'libquvi 0.4.x support',
-        'groups': [ 'libquvi' ],
-        'func': check_pkg_config('libquvi', '>= 0.4.1'),
-    }, {
-        'name': '--libquvi9',
-        'desc': 'libquvi 0.9.x support',
-        'groups': [ 'libquvi' ],
-        'deps_neg': [ 'libquvi4' ],
-        'func': check_pkg_config('libquvi-0.9', '>= 0.9.0'),
-    }, {
-        'name': '--libquvi',
-        'desc': 'libquvi support',
-        'deps_any': [ 'libquvi4', 'libquvi9' ],
-        'func': check_true
+        'name' : '--lua',
+        'desc' : 'Lua',
+        'func': check_lua,
     }, {
         'name': '--libass',
         'desc': 'SSA/ASS support',
@@ -297,7 +319,6 @@
         'name': '--cdda',
         'desc': 'cdda support (libcdio)',
         'func': check_pkg_config('libcdio_paranoia'),
-        'default': 'disable',
     }, {
         'name': '--enca',
         'desc': 'ENCA support',
@@ -319,43 +340,7 @@
         'desc': 'LCMS2 support',
         'func': check_pkg_config('lcms2', '>= 2.6'),
     }, {
-        'name': '--vapoursynth',
-        'desc': 'VapourSynth filter bridge',
-        'func': check_pkg_config('vapoursynth >= 23 vapoursynth-script >= 23'),
-    }
-]
-
-libav_pkg_config_checks = [
-    'libavutil',   '>= 52.48.101',
-    'libavcodec',  '>= 55.34.1',
-    'libavformat', '>= 55.12.0',
-    'libswscale',  '>= 2.1.2'
-]
-
-libav_dependencies = [
-    {
-        'name': 'libav',
-        'desc': 'libav/ffmpeg',
-        'func': check_pkg_config(*libav_pkg_config_checks),
-        'req': True,
-        'fmsg': "Unable to find development files for some of the required \
-Libav libraries ({0}). Aborting.".format(" ".join(libav_pkg_config_checks))
-    }, {
-        'name': '--libavresample',
-        'desc': 'libavresample',
-        'func': check_pkg_config('libavresample',  '>= 1.1.0'),
-    }, {
-        'name': '--libswresample',
-        'desc': 'libswresample',
-        'func': check_pkg_config('libswresample', '>= 0.17.104'),
-        'deps_neg': ['libavresample'],
-    }, {
-        'name': 'resampler',
-        'desc': 'usable resampler found',
-        'deps_any': [ 'libavresample', 'libswresample' ],
-        'func': check_true,
-        'req':  True,
-        'fmsg': 'No resampler found. Install libavresample or libswresample (FFmpeg).'
-    }, {
-        'name': 'avcodec-chroma-pos-api',
-        'desc': 'libavcodec avcodec_enum_to_chroma_pos API',
+        'name': 'vapoursynth-core',
+        'desc': 'VapourSynth filter bridge (core)',
+        'func': check_pkg_config('vapoursynth >= 23'),
+    }, {

=== debian/changelog ===
mpv (0.7.2-1ubuntu1) vivid; urgency=medium

  * debian/rules: Disable altivec on ppc64el again, as it FTBFS with it.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 22 Dec 2014 19:08:25 -0500

mpv (0.7.2-1) unstable; urgency=medium

  * New upstream release
    - Enable ytdl_hook script by default (Closes: #772472)
  * Enable joystick support (Closes: #773234)

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 20 Dec 2014 12:31:39 +0100

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
 			--confdir=/etc/mpv			\
 			--zshdir=/usr/share/zsh/vendor-completions \
 			--enable-cdda				\
+			--enable-joystick			\
 			--enable-sdl2				\
 			--enable-zsh-comp			\
 			--enable-libmpv-shared

## mpv 0.7.3

=== wscript ===
--- 
+++ 
@@ -79,6 +79,10 @@
         'desc': 'inline assembly (currently without effect)',
         'default': 'enable',
         'func': check_true,
+    }, {
+        'name': '--test',
+        'desc': 'test suite (using cmocka)',
+        'func': check_pkg_config('cmocka >= 0.4.1'),
     }
 ]
 
@@ -341,6 +345,3 @@
         'func': check_pkg_config('lcms2', '>= 2.6'),
     }, {
         'name': 'vapoursynth-core',
-        'desc': 'VapourSynth filter bridge (core)',
-        'func': check_pkg_config('vapoursynth >= 23'),
-    }, {

=== debian/changelog ===
mpv (0.7.3-1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules:
      + Disable altivec on ppc64el again, as it FTBFS with it.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sun, 08 Feb 2015 11:38:05 +0100

mpv (0.7.3-1) unstable; urgency=medium

  * New upstream release
  * Bump version of youtube-dl in Recommends

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 28 Jan 2015 17:18:43 +0100

=== debian/control ===
--- 
+++ 
@@ -53,7 +53,7 @@
 Package: mpv
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: youtube-dl (>= 2014.11.09)
+Recommends: youtube-dl (>= 2014.11.26)
 Multi-Arch: foreign
 Description: video player based on MPlayer/mplayer2
  mpv is a movie player based on MPlayer and mplayer2. It supports a wide
@@ -87,7 +87,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: youtube-dl (>= 2014.11.09)
+Recommends: youtube-dl (>= 2014.11.26)
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: video player based on MPlayer/mplayer2 (client library)
